> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query journal entries

> Query the chronological list of journal entries with their debit/credit transactions for the authenticated user's company



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/reports/journal/query
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/reports/journal/query:
    post:
      tags:
        - Journal
      summary: Query journal entries
      description: >-
        Query the chronological list of journal entries with their debit/credit
        transactions for the authenticated user's company
      operationId: queryJournalEntries
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JournalGetParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseJournalEntryGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    JournalGetParam:
      type: object
      properties:
        cursor:
          type: string
          description: Cursor from the previous paginated response
          nullable: true
        limit:
          maximum: 250
          type: integer
          description: Page size, i.e. number of items to return per page
          format: int32
        filter:
          $ref: '#/components/schemas/JournalFilterParam'
        accountingMethod:
          type: string
          description: >-
            Accounting method to generate the journal in. Defaults to the
            company's configured accounting method.
          enum:
            - ACCRUAL
            - CASH
        sort:
          $ref: '#/components/schemas/JournalSort'
    PaginatedResponseJournalEntryGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/JournalEntryGetDto'
        cursor:
          $ref: '#/components/schemas/ResponseCursor'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    JournalFilterParam:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateFilter'
        type:
          $ref: '#/components/schemas/JournalEntryTypeListFilter'
        accountNumber:
          $ref: '#/components/schemas/StringFilter'
        debitAmount:
          $ref: '#/components/schemas/AmountFilter'
        creditAmount:
          $ref: '#/components/schemas/AmountFilter'
        search:
          type: string
          description: >-
            Free-text search across the entry's date, description, and amount,
            as well as its transactions' GL account name/number and debit/credit
            amounts.
      description: Filter for items in the response.
    JournalSort:
      type: object
      properties:
        orderBy:
          type: string
          description: Sort column
          enum:
            - DATE
        direction:
          type: string
          description: Sort direction. Defaults to DESC
          enum:
            - ASC
            - DESC
      description: Sort order for the items in the response.
    JournalEntryGetDto:
      required:
        - amount
        - date
        - description
        - id
        - isRecurring
        - transactions
        - type
      type: object
      properties:
        id:
          type: string
          description: Id of the journal entry
          example: btxn_158998869
        type:
          type: string
          description: Type of the journal entry
          example: BANK_TRANSACTION
          enum:
            - BANK_TRANSACTION
            - PROCESSOR_TRANSACTION
            - INVOICE
            - BILL
            - PAYROLL
            - JOURNAL_ENTRY
            - REVENUE_RECOGNITION
            - EXPENSE_AMORTIZATION
            - ASSET_DEPRECIATION
        date:
          type: string
          description: Date of the journal entry
          format: date
          example: '2026-01-15'
        description:
          type: string
          description: Description of the journal entry
          nullable: true
          example: Monthly accrual adjustment
        amount:
          type: integer
          description: Total amount of the journal entry (in cents)
          format: int32
          example: 50000
        isRecurring:
          type: boolean
          description: Whether the journal entry recurs on a schedule
          example: false
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/JournalEntryChildGetDto'
      description: The data generated by the action performed.
    ResponseCursor:
      type: object
      properties:
        after:
          type: string
          description: >-
            After cursor - Fetches entities after this cursor. Useful for paging
            forwards.
        before:
          type: string
          description: >-
            Before cursor - Fetches entities before this cursor. Useful for
            paging backwards.
      description: >-
        Cursor to be used in your subsequent paginated request. Only populated
        if there are more pages available.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    DateFilter:
      type: object
      properties:
        equal:
          type: string
          description: >-
            Value - returns all records with specified field equal to this
            value.
          format: date
        notEqual:
          type: string
          description: >-
            Value - returns all records with specified field not equal to this
            value.
          format: date
        greaterThan:
          type: string
          description: >-
            Value - returns all records with specified field greater than to
            this value.
          format: date
        greaterThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
          format: date
        lessThan:
          type: string
          description: >-
            Value - returns all records with specified field less than to this
            value.
          format: date
        lessThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
          format: date
      description: Date filter
    JournalEntryTypeListFilter:
      type: object
      properties:
        in:
          type: array
          description: Values - returns all records with the specified field in this list.
          items:
            type: string
            description: >-
              Values - returns all records with the specified field in this
              list.
            enum:
              - BANK_TRANSACTION
              - PROCESSOR_TRANSACTION
              - INVOICE
              - BILL
              - PAYROLL
              - JOURNAL_ENTRY
              - REVENUE_RECOGNITION
              - EXPENSE_AMORTIZATION
              - ASSET_DEPRECIATION
        notIn:
          type: array
          description: >-
            Values - returns all records with the specified field not in this
            list.
          items:
            type: string
            description: >-
              Values - returns all records with the specified field not in this
              list.
            enum:
              - BANK_TRANSACTION
              - PROCESSOR_TRANSACTION
              - INVOICE
              - BILL
              - PAYROLL
              - JOURNAL_ENTRY
              - REVENUE_RECOGNITION
              - EXPENSE_AMORTIZATION
              - ASSET_DEPRECIATION
        equal:
          type: string
          description: >-
            Value - returns all records with specified field equal to this
            value.
          enum:
            - BANK_TRANSACTION
            - PROCESSOR_TRANSACTION
            - INVOICE
            - BILL
            - PAYROLL
            - JOURNAL_ENTRY
            - REVENUE_RECOGNITION
            - EXPENSE_AMORTIZATION
            - ASSET_DEPRECIATION
        notEqual:
          type: string
          description: >-
            Value - returns all records with specified field not equal to this
            value.
          enum:
            - BANK_TRANSACTION
            - PROCESSOR_TRANSACTION
            - INVOICE
            - BILL
            - PAYROLL
            - JOURNAL_ENTRY
            - REVENUE_RECOGNITION
            - EXPENSE_AMORTIZATION
            - ASSET_DEPRECIATION
      description: Journal entry type filter
    StringFilter:
      type: object
      properties:
        equal:
          type: string
          description: >-
            Value - returns all records with specified field equal to this
            value.
        notEqual:
          type: string
          description: >-
            Value - returns all records with specified field not equal to this
            value.
        greaterThan:
          type: string
          description: >-
            Value - returns all records with specified field greater than to
            this value.
        greaterThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
        lessThan:
          type: string
          description: >-
            Value - returns all records with specified field less than to this
            value.
        lessThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
        contain:
          type: string
          description: >-
            Value - returns all records with specified field containing this
            value.
      description: Name filter
    AmountFilter:
      type: object
      properties:
        equal:
          type: integer
          description: >-
            Value - returns all records with specified field equal to this
            value.
          format: int32
        notEqual:
          type: integer
          description: >-
            Value - returns all records with specified field not equal to this
            value.
          format: int32
        greaterThan:
          type: integer
          description: >-
            Value - returns all records with specified field greater than to
            this value.
          format: int32
        greaterThanEqual:
          type: integer
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
          format: int32
        lessThan:
          type: integer
          description: >-
            Value - returns all records with specified field less than to this
            value.
          format: int32
        lessThanEqual:
          type: integer
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
          format: int32
      description: Match count filter
    JournalEntryChildGetDto:
      required:
        - amount
        - crAmount
        - drAmount
        - glAccount
      type: object
      properties:
        glAccount:
          $ref: '#/components/schemas/GlAccountExpanded'
        amount:
          type: integer
          description: Total amount of the journal entry line (in cents)
          format: int32
          example: 5000
        crAmount:
          type: integer
          description: Credit amount of the journal entry line (in cents)
          format: int32
          example: 5000
        drAmount:
          type: integer
          description: Debit amount of the journal entry line (in cents)
          format: int32
          example: 0
      description: Debit/credit transactions for this journal entry
    GlAccountExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the GL account
          example: gla_38560327
        name:
          type: string
          description: Name of the GL account
          example: Officer(s) Salaries and Wages
        accountNo:
          type: string
          description: Number of the GL account
          example: '60210'
        type:
          type: string
          description: Type the GL account
          example: EXPENSE
          enum:
            - ASSET
            - LIABILITY
            - EQUITY
            - INCOME
            - COGS
            - EXPENSE
            - OTHER_INCOME
            - OTHER_EXPENSE
            - SUSPENSE
        iconUrl:
          type: string
          description: Icon URL of the GL account
          example: https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png
        displayName:
          type: string
          description: Display name of the GL account
          example: '#60210 Officer(s) Salaries and Wages'
      description: GL account details
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````